<button type="button" class="contact-sheet close" ng-click="contactSheetOnClose()"><i class="fa fa-times"></i></button>
<div class="contact-sheet header">
    <div class="contact-status">
        <div
                class="avatar-status {{contactSheetGetPhoneStateBackColor(contact)}}"
                title="{{contactSheetIsMeetingRoom(contact) ? 'MEETING_ROOM' : contactSheetGetPhoneStateLabel(contact) | translate}}">
            <div class="avatar-circle">
                <i ng-if="contactSheetIsMeetingRoom(contact)" class="is-meeting-room fa fa-video"></i>
                <span ng-if="!contactSheetIsMeetingRoom(contact)">{{ contact.initials }}</span>
            </div>
        </div>
    </div>
    <div class="w-0" ng-if="contact.canBeFavorite">
        <div class="avatar-star align-star" ng-show='!contact.isFavorite && contact.sources' title="{{contactSheetIsMeetingRoom(contact) ? 'MEETING_ROOM_FAVORITE':'CONTACT_FAVORITE' | translate}}">
            <a ng-click="contactSheetAddFavorite(contact, $event)" href="">
                <i class="glyphicon glyphicon-star-empty glyph-btn"></i>
            </a>
        </div>
        <div class="avatar-star" ng-show='contact.isFavorite && contact.sources' title="{{'REMOVE_FAVORITE' | translate}}">
            <a ng-click="contactSheetRemoveFavorite(contact, $event)" href="">
                <i class="glyphicon glyphicon-star glyph-btn favorite"></i>
            </a>
        </div>
    </div>
    <div class="name-service-post-section">
        <div class="name-surname" title="{{contact.name}}">{{contact.name}}</div>
        <div class="job" title="{{contact.subtitle1}}">{{contact.subtitle1}}</div>
        <div class="business-unit" title="{{contact.subtitle2}}">{{contact.subtitle2}}</div>
    </div>
</div>
<div class="contact-sheet action">
    <contact-buttons class="call-buttons" contact="contact" actions-properties="actionsProperties" ordering="ordering" ></contact-buttons>
</div>
<div class="contact-sheet body"  >
    <div class="contact-sheet section" ng-repeat="section in contact.details track by $index" ng-class="{ 'collapsed': section.collapsed }">
        <div class="title"><i class="fa" ng-class="{'fa-chevron-right': section.collapsed, 'fa-chevron-down':  !section.collapsed}" ng-click="toggleSection(section)"></i> {{section.name}} </div>
        <div class="line" ng-repeat="field in section.fields track by $index">
            <div class="label">{{field.name}}</div>
            <div class="value" ng-if="field.data && field.data !== ''"  title="{{field.data}}">
                <span  ng-if="field.dataType === 'String'">
                    {{ field.data }}
                </span>
                <span class="callable" title="{{ getContextualPhoneTooltip(contact) | translate: { number: field.data } }}" ng-if="field.dataType === 'PhoneNumber'" href="" ng-click="execContextualPhoneAction(contact, field.data, $event)">
                    <i ng-class="getContextualPhoneClass(contact)"></i>{{ isMeetingRoom(contact) ? '**' + field.data : (field.data | prettyPhoneNb) }}
                </span>
                <a  ng-if="field.dataType === 'Mail'" ng-href="{{ contactSheetGetFieldMailToLink(contact, field) }}">
                    <span long-text="{{email}}" max-chars="{{emailMaxChars}}"></span>
                    {{field.data}}
                </a>
                <a class="clip copy"
                     title="{{'COPY_CLIPBOARD' | translate}}"
                     ng-if="field.dataType !== 'String'"
                     ng-click="contactSheetClipboardCopy(field, $event)"
                     data-clipboard-text="{{ contactSheetGetFieldDataFormatted(contact, field)}}" href="" >
                    <i class="fa fa-solid fa-copy"></i>
                </a>
            </div>
            <div class="value" ng-if="!field.data || field.data === ''"></div>
        </div>
    </div>
</div>
<div id="toast-container-modal-id"></div>
